'use client'
import ListFastAnswer from "./ListFastAnswer";
import useFastAnswerStore from "./useFastAnswerStore";
import IndexFastAnswer from "./IndexFastAnswer";
import FastAnswerForm from "./FastAnswerForm";
import { Button, Modal, ModalBody, ModalContent, ModalHeader } from "@nextui-org/react";
import { useTranslation } from "@/src/hooks/useTranslation";

const FastAnswer = () => {

  const openModal = useFastAnswerStore((state) => state.openModal);
  const optionsView = useFastAnswerStore((state) => state.optionsView);
  const setOpenModal = useFastAnswerStore((state) => state.setOpenModal);
  const setOptionsView = useFastAnswerStore((state) => state.setOptionsView);
  const setFormFastAnswer = useFastAnswerStore((state) => state.setFormFastAnswer);
  const centered = true;
  const { trans } = useTranslation();

  const handleOptionsViewBack = () => {
    if (optionsView == 'config') {
      setOptionsView('list')
    } else if (optionsView == 'create_answer') {
      setOptionsView('config')
    } else if (optionsView == 'update_answer') {
      setOptionsView('config')
    }
  }

  const handlerOpctionsViewAdd = () => {
    setOptionsView('create_answer');
    setFormFastAnswer({
      id: 0,
      title: '',
      description: '',
    });
  }
  return (
    <Modal
      isOpen={openModal}
      onOpenChange={() => setOpenModal()}
      size="xl"
    >
      <ModalContent>
        {(onClose) => (
          <>
            <ModalHeader>
              <i data-feather="bar-chart-2"></i>{trans('modal_conversations_answer_fast_title')}
            </ModalHeader>
            <ModalBody>
              <div>
                <div className="flex justify-between items-center">
                  <div>
                    <Button size="sm" color="success" variant="ghost"  onClick={() => handleOptionsViewBack()} style={{ display: optionsView == 'list' ? 'none' : 'block' }}>{trans('modal_conversations_answer_fast_button_back_title')}</Button>
                  </div>
                  <div className="flex items-center">
                    <Button size="sm" color="success" variant="ghost" onClick={() => setOptionsView('config')} style={{ display: optionsView == 'list' ? 'block' : 'none' }}>{trans('modal_conversations_answer_fast_button_config_title')}</Button>
                    <Button size="sm" color="success" variant="ghost" onClick={() => handlerOpctionsViewAdd()} style={{ display: optionsView == 'config' ? 'block' : 'none' }}>{trans('modal_conversations_answer_fast_button_create_title')}</Button>
                  </div>
                </div>
              </div>
              <div>
                {optionsView == 'list' && (
                  <ListFastAnswer />
                )}
              </div>
              {optionsView == 'config' && (
                <IndexFastAnswer />
              )}
              {optionsView == 'create_answer' && (
                <FastAnswerForm />
              )}
              {optionsView == 'update_answer' && (
                <FastAnswerForm />
              )}
            </ModalBody>
          </>
        )}
      </ModalContent>
    </Modal >
  )
}

export default FastAnswer